Skip to main content
GET
/
api
/
rpa
/
runs
/
{run_id}
Get RPA run details
curl --request GET \
  --url https://api.getgranite.ai/api/rpa/runs/{run_id}
{
  "run_id": "<string>",
  "workflow_description": "<string>",
  "workflow_hint": "<string>",
  "status": "<string>",
  "iterations": 123,
  "success": true,
  "created_at": "<string>",
  "completed_at": "<string>"
}

Path Parameters

run_id
string
required

Response

Successful Response

Detailed RPA run information (NO script content)

run_id
string
required

RPA run identifier

workflow_description
string | null

Workflow description

workflow_hint
string | null

Workflow hint/slug

status
string | null

Run status (completed/failed)

iterations
integer | null

Number of CUA iterations

success
boolean | null

Whether pipeline succeeded

created_at
string | null

Creation timestamp

completed_at
string | null

Completion timestamp